{
    "fields": [
        {
            "name": "state",
            "type": [
                "null",
                {
                    "doc": "This is the master state for this sample, for example failed,quality could be used to say that a sample under this\nindividual has quality issues.\n\nready: sample is ready to be used\npending: sample is in the process of being analysed\nblocked: sample is on hold pending investigation\nfailed: sample has failed a QC check\nnot_sequenced: sample is not sequenced",
                    "name": "SampleStates",
                    "symbols": [
                        "ready",
                        "warning",
                        "pending",
                        "blocked",
                        "failed",
                        "not_sequenced"
                    ],
                    "type": "enum"
                }
            ]
        },
        {
            "name": "reason",
            "type": [
                "null",
                {
                    "items": {
                        "name": "StateReason",
                        "symbols": [
                            "median_coverage",
                            "in_analysis",
                            "duplicate",
                            "pedigree_mendelian_errors",
                            "pedigree_ibd_sharing",
                            "contamination",
                            "quality",
                            "sex_query",
                            "perc_bases_ge_15x",
                            "gb_q30",
                            "array_concordance",
                            "high_cnv",
                            "in_qc",
                            "pass_qc",
                            "other"
                        ],
                        "type": "enum"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "name": "otherReasons",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        },
        {
            "name": "issueIdentifier",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        }
    ],
    "name": "SampleState",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}